#!/bin/bash
CONST=\
"P_FN_SC0=0.2,P_FN_SC1=0.1,P_FN_SC2=0.01,NUM_ROBOTS=1:10,\
DETECTING_CAPABILITY=0:2,DEFUSING_CAPABILITY=0:2,\
P_IN_DEFUSE1=0.25,P_IN_DEFUSE2=0.33,P_IN_DEFUSE3=0.5"

if [ ! -e res-psucc-coord0.csv ]; then
    prism demining.pm demining.pctl \
        -prop success_prob -const "$CONST,COORD_ALGO=0" \
        -exportresults res-psucc-coord0.csv,csv 2>&1 | tee out.psucc.coord0
fi

if [ ! -e res-psucc-coord1.csv ]; then
    prism demining.pm demining.pctl \
        -prop success_prob -const "$CONST,COORD_ALGO=1" \
        -exportresults res-psucc-coord1.csv,csv 2>&1 | tee out.psucc.coord1
fi

if [ ! -e res-cover-coord0.csv ]; then
    prism demining.pm demining.pctl \
        -prop expected_covered1 -const "$CONST,COORD_ALGO=0" \
        -exportresults res-cover-coord0.csv,csv 2>&1 | tee out.cover.coord0
fi

if [ ! -e res-cover-coord1.csv ]; then
    prism demining.pm demining.pctl \
        -prop expected_covered1 -const "$CONST,COORD_ALGO=1" \
        -exportresults res-cover-coord1.csv,csv 2>&1 | tee out.cover.coord1
fi
